import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import LoginView from '../views/LoginView.vue'
import PortalView from '../views/PortalView.vue'
import OrganizationView from '../views/OrganizationView.vue'
import UserListView from '../views/UserListView.vue'

const routes = [
  {
    path: '/',
    name: 'Home',
    component: HomeView
  },
  {
    path: '/login',
    name: 'Login',
    component: LoginView
  },
  {
    path: '/portal',
    name: 'Portal',
    component: PortalView
  },
  {
    path: '/organization',
    name: 'Organization',
    component: OrganizationView
  },
  {
    path: '/user-list',
    name: 'UserList',
    component: UserListView
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
